<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Pobieranie plików</title>
</head>
<body>
<div>

<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

$dir = "./downloads/";
function printDir($dir)
{
  $fd = opendir($dir);
  if(!$fd) return false;
  while (($file = readdir($fd)) !== false){
    if($file != "." && $file != ".."){
      echo("<a href=\"download.php?name=");
      echo("$file\">$file</a><br />");
    }
  }
  closedir($fd);
}
printDir($dir);
?>

</div>
</body>
</html>
